::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: Support\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=65535
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=10-b52-ST-FM050
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the next "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=da038f3d6073ae9bac569d0bfe17942d
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=3fa6e78d8fb5b07c5d7ceb844e338381
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=51b181b45986d558878b5ae459fa0492
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=324a2c5e843f58c8c49f1a32ad3d2820
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=648353217651af465e64619be7d5e1ae
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=3d6e3fbb8653df228c30425eecd5f3c5
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=71e072f31c8cccb9a8344edce9c19dce
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=1eeb380581def6d60cea27b110fe8dc9
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=4de47668773331ba4aba5a7d7758cc2e
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=ef8e27b76729f940c6b5da73ed0a4a6b
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=f70b89bf4833d3304c4ae523d8415c4b
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=ab77f3d3be61d2ac548dda2fd617107c
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=283c002206b43fc7cd8e16e5c268b475
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=f3a9eea25d5d10d18f69c311d41c493a
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=073b7f738ed3250c52f7f7c9e121c650
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=b6cdf303a7beb078d4dbda74d07c5199
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=7e8cc5e85aed5db448eec2f6120c3c8d
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=3099c4dc4a1438324e45bf8220ff3b98
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=7e2693d6e7d54522d951d1985a21f4f1
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=b7c454a2cdf65c0af8d8485239879b82
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=76bb35b5acbd4209eec8805982d557d3
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::Support\More-cIOSs\{ANY FOLDER NAME}\mload.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::Support\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::Support\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::Support\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::Support\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::Support\More-cIOSs\{ANY FOLDER NAME}\ES.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FAKEMOTE.app
::------------------------------------------------------

set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

